/*
 *  JVending
 *  Copyright (C) 2004  Shane Isbell
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package javax.provisioning;

import java.util.Set;
import java.util.Locale;
import java.util.List;

import java.net.URL;

import java.io.IOException;

/**
 * A Bundle Descriptor represents a single client bundle.
 */

public interface BundleDescriptor {
    
    public String getBundleID();

    public BundleType getBundleType();

    public String getCatalogProperty(String key);

    public Set getCatalogPropertyNames();

    public Deliverable getContentFile();

    public String getContentID();

    public String getCopyright(Locale locale);

    public String getDescription(Locale locale);

    public Deliverable getDescriptorFile();

    public String getDisplayName(Locale locale);

    public List getIcons(Locale locale);

    public Set getLocales();

    public long getParFileID();

    public List getPreviews(Locale locale);

    public List getRequirement(String name);

    public Set getRequirementNames();

    public URL getResource(String resourceSpec) throws IOException;

    public long getUploadTime();

    public String getVendor(Locale locale);

    public String getVendorDescription(Locale locale);

    public String getVendorURL(Locale locale);

    public String getVersion();

}