/*
 *  JVending - JSP Tag Library
 *  Copyright (C) 2004  Shane Isbell
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package org.jvending.provisioning.taglib;

import java.io.IOException;

import java.util.Locale;

import javax.provisioning.BundleDescriptor;

import javax.servlet.jsp.JspTagException;
import javax.servlet.jsp.tagext.TagSupport;

/**
 * @author Shane Isbell
 * @since 1.3.9a
 */

public class CopyrightTag extends TagSupport {

    private BundleDescriptor descriptor;

    private String locale;

    public void setLocale(String locale) {
        this.locale = (locale == "") ? null: locale;
    }

    public String getLocale() {
        return locale;
    }

    public int doStartTag() throws JspTagException {
        descriptor = (BundleDescriptor)
             pageContext.getAttribute("descriptor", 
                                       pageContext.PAGE_SCOPE);
        
        return SKIP_BODY;
    }

    public int doEndTag() throws JspTagException {
        if(descriptor == null) return EVAL_PAGE;

        String copyright = (locale != null) ? descriptor.getCopyright(new Locale(locale)): 
                                               descriptor.getCopyright(null);
        if(copyright == null) copyright = "";

        try {
            pageContext.getOut().println(copyright);
        } catch(IOException e) {
            e.printStackTrace();
            throw new JspTagException("Could not End Tag");
        } 
        return EVAL_PAGE;
    }
}